﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge : RootCommand
{
    public override string Name => "m4g";

    public MycroForge(IEnumerable<ISubCommandOf<MycroForge>> commands) :
        base("The MycroForge CLI tool.")
    {
        foreach (var command in commands.Cast<Command>())
            AddCommand(command);
    }
}