#!/usr/bin/bash

ZIP=$1
if [ -z "$ZIP" ]; then
    echo "The zip file was not provided."
    exit 1
fi

TARGET=${ZIP//"m4g-"/}
TARGET=${TARGET//".zip"/}

DIR="/tmp/m4g"

rm -rf "$DIR"
unzip "$ZIP" -d "$DIR"

sudo rm -rf /usr/local/bin/m4g
sudo cp -r "$DIR/bin/Release/net8.0/$TARGET" /usr/local/bin/m4g
mv /usr/share/m4g/MycroForge.CLI /usr/share/m4g/m4g
